<?xml version="1.0" encoding="UTF-8"?>
<!-- 
    Implementatiehandleiding HL7v3 Basiscomponenten, v2.2 - Datatype 1.0 ON - Organization Name
    Status: in behandeling
-->
<rule abstract="true" id="ON" see="http://hl7book.net/index.php?title=DatatypesR1:ON" xmlns="http://purl.oclc.org/dsdl/schematron">
    <extends rule="EN"/>
    
    <assert role="error" test="count(hl7:family)=0 and count(hl7:given)=0">Datatype ON: no parts may be person types</assert>
    <assert role="error" test="not(@use='L')">Datatype ON: use='L' attribuut is niet toegestaan bij namen van organisaties of apparaten</assert>
    <assert role="error" test="not(*)">Datatype ON: organisatienamen en apparaatnamen moeten in de text-node</assert>
</rule>