<?xml version="1.0" encoding="UTF-8"?>
<!-- 
    Implementatiehandleiding HL7v3 Basiscomponenten, v2.2 - Datatype 1.0 QTY - Quantity
    Status: in behandeling
-->
<rule abstract="true" id="QTY" see="http://hl7book.net/index.php?title=DatatypesR1:QTY" xmlns="http://purl.oclc.org/dsdl/schematron">
    <extends rule="ANY"/>
    
    <assert role="error" test="not(hl7:uncertainty/@expression) and not(hl7:uncertainty/@uncertainty) and not(hl7:uncertainty/@originalText)"
        >Datatype QTY: no uncertainty</assert>
    <assert role="error"
        test="count(*[self::hl7:originalText or self::hl7:uncertainty or self::hl7:expression][@validTimeLow or @validTimeHigh or @updateMode])=0"
        >Datatype QTY: no history or updateMode</assert>
</rule>