<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.40.113
Description: 
-->
<pattern xmlns:xs="http://www.w3.org/2001/XMLSchema"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns:hl7="urn:hl7-org:v3"
         xmlns="http://purl.oclc.org/dsdl/schematron"
         xmlns:sch="http://www.ascc.net/xml/schematron"
         xmlns:uuid="java:java.util.UUID"
         id="template-2.16.840.1.113883.2.4.6.10.40.113">
   <title>Laboratorium onderzoek</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.113
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.113']]
Item: (TMP LaboratoriumOderzoek)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.113
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.113']]/hl7:act
Item: (TMP LaboratoriumOderzoek)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.113']]/hl7:act"
         id="tmp-93ed468b-0e78-4c30-b730-3a4caa133497">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.113.html"
              test="@classCode='ACT' ">(TMP LaboratoriumOderzoek): De waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.113.html"
              test="@moodCode='EVN' ">(TMP LaboratoriumOderzoek): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.113.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.113'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.113']/@nullFlavor)">(TMP LaboratoriumOderzoek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.113'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.113.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.113'])&lt;=1">(TMP LaboratoriumOderzoek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.113'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.113.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP LaboratoriumOderzoek): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.113.html"
              test="count(hl7:code)&lt;=1">(TMP LaboratoriumOderzoek): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.113.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(TMP LaboratoriumOderzoek): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.113.html"
              test="count(hl7:text)&lt;=1">(TMP LaboratoriumOderzoek): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.113.html"
              test="count(hl7:performer)&lt;=1">(TMP LaboratoriumOderzoek): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.113
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.113']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.113']
Item: (TMP LaboratoriumOderzoek)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.113']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.113']"
         id="tmp-4a2928d6-8490-4a82-8f8a-889ad6516394">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.113.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.113'">(TMP LaboratoriumOderzoek): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.113' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.113.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP LaboratoriumOderzoek): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.113
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.113']]/hl7:act/hl7:code
Item: (TMP LaboratoriumOderzoek)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.113']]/hl7:act/hl7:code"
         id="tmp-4acd178f-73fc-4301-ad62-5469bee836c2">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.113.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP LaboratoriumOderzoek): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.113.html"
              test="@nullFlavor or (@code='56850-1' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Interpretation and review of laboratory results')">(TMP LaboratoriumOderzoek): De waarde van @code/@codeSystem MOET '56850-1' codeSystem '2.16.840.1.113883.6.1' displayName='Interpretation and review of laboratory results' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.113
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.113']]/hl7:act/hl7:text
Item: (TMP LaboratoriumOderzoek)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.113']]/hl7:act/hl7:text"
         id="tmp-f797cce9-72f9-4cdb-969a-f7511cbaf6f2">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.113.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(TMP LaboratoriumOderzoek): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.113
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.113']]/hl7:act/hl7:performer
Item: (TMP LaboratoriumOderzoek)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.113']]/hl7:act/hl7:performer"
         id="tmp-5ac3df86-3450-4bc9-9f2a-0497bb89d880">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.113.html"
              test="@contextControlCode='OP' ">(TMP LaboratoriumOderzoek): De waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.113.html"
              test="@typeCode='PRF' ">(TMP LaboratoriumOderzoek): De waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.113.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP LaboratoriumOderzoek): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.113
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.113']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP LaboratoriumOderzoek)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.113']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-879170d2-e791-42e2-b8d8-7a39f7126de0">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.113.html"
              test="@classCode='ASSIGNED' ">(TMP LaboratoriumOderzoek): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.113
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.113']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP LaboratoriumOderzoek)
-->
<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.113']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-130b6c77-ecad-4a9c-963e-fa1af49136e3">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.113.html"
              test="@classCode='ASSIGNED' ">(TMP LaboratoriumOderzoek): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.113
Context: *[hl7:templateId/@root='']
Item: (TMP LaboratoriumOderzoek)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-cae3ea82-428e-4abe-b07c-a5b67e25710a">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.113.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP LaboratoriumOderzoek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.113.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP LaboratoriumOderzoek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.113
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (TMP LaboratoriumOderzoek)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-06a91f10-cdf7-4ae0-8b1a-d52c41e19ac1">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.113.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(TMP LaboratoriumOderzoek): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.113.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP LaboratoriumOderzoek): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>
</pattern>