<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.40.114
Description: 
-->
<pattern xmlns:xs="http://www.w3.org/2001/XMLSchema"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns:hl7="urn:hl7-org:v3"
         xmlns="http://purl.oclc.org/dsdl/schematron"
         xmlns:sch="http://www.ascc.net/xml/schematron"
         xmlns:uuid="java:java.util.UUID"
         id="template-2.16.840.1.113883.2.4.6.10.40.114">
   <title>Beeldvormend onderzoek</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.114
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.114']]
Item: (TMP BeeldvormendOnderzoek)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.114
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.114']]/hl7:act
Item: (TMP BeeldvormendOnderzoek)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.114']]/hl7:act"
         id="tmp-a421e3a0-b553-476a-9909-27de6d4223a5">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.114.html"
              test="@classCode='ACT' ">(TMP BeeldvormendOnderzoek): De waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.114.html"
              test="@moodCode='EVN' ">(TMP BeeldvormendOnderzoek): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.114.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.114'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.114']/@nullFlavor)">(TMP BeeldvormendOnderzoek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.114'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.114.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.114'])&lt;=1">(TMP BeeldvormendOnderzoek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.114'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.114.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP BeeldvormendOnderzoek): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.114.html"
              test="count(hl7:code)&lt;=1">(TMP BeeldvormendOnderzoek): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.114.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(TMP BeeldvormendOnderzoek): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.114.html"
              test="count(hl7:text)&lt;=1">(TMP BeeldvormendOnderzoek): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.114.html"
              test="count(hl7:performer)&lt;=1">(TMP BeeldvormendOnderzoek): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.114
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.114']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.114']
Item: (TMP BeeldvormendOnderzoek)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.114']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.114']"
         id="tmp-4aaee14a-df67-4161-bc7d-5a916cbc66a4">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.114.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.114'">(TMP BeeldvormendOnderzoek): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.114' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.114.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP BeeldvormendOnderzoek): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.114
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.114']]/hl7:act/hl7:code
Item: (TMP BeeldvormendOnderzoek)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.114']]/hl7:act/hl7:code"
         id="tmp-33b52e80-5858-4ee4-ae5c-147db6d8f7f5">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.114.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP BeeldvormendOnderzoek): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.114.html"
              test="@nullFlavor or (@code='30954-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Studies summary')">(TMP BeeldvormendOnderzoek): De waarde van @code/@codeSystem MOET '30954-2' codeSystem '2.16.840.1.113883.6.1' displayName='Studies summary' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.114
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.114']]/hl7:act/hl7:text
Item: (TMP BeeldvormendOnderzoek)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.114']]/hl7:act/hl7:text"
         id="tmp-8a8d4bbe-728f-43fc-9e3a-9616d664d72c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.114.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(TMP BeeldvormendOnderzoek): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.114
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.114']]/hl7:act/hl7:performer
Item: (TMP BeeldvormendOnderzoek)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.114']]/hl7:act/hl7:performer"
         id="tmp-6af18661-b770-4439-ab00-3167647b25e1">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.114.html"
              test="@contextControlCode='OP' ">(TMP BeeldvormendOnderzoek): De waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.114.html"
              test="@typeCode='PRF' ">(TMP BeeldvormendOnderzoek): De waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.114.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP BeeldvormendOnderzoek): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.114
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.114']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP BeeldvormendOnderzoek)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.114']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-a5293ad6-185d-4e3d-9780-9c8c2b531e36">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.114.html"
              test="@classCode='ASSIGNED' ">(TMP BeeldvormendOnderzoek): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.114
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.114']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP BeeldvormendOnderzoek)
-->
<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.114']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-324d6ae2-1ce8-448b-ae22-1a8a9420c7fd">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.114.html"
              test="@classCode='ASSIGNED' ">(TMP BeeldvormendOnderzoek): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.114
Context: *[hl7:templateId/@root='']
Item: (TMP BeeldvormendOnderzoek)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-e91986cb-20e1-42d9-a6d8-301a4c630967">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.114.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP BeeldvormendOnderzoek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.114.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP BeeldvormendOnderzoek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.114
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (TMP BeeldvormendOnderzoek)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-e546ca1c-da7a-4c56-8b3e-71e5c08441bb">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.114.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(TMP BeeldvormendOnderzoek): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.114.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP BeeldvormendOnderzoek): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>
</pattern>