<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.40.116
Description: 
-->
<pattern xmlns:xs="http://www.w3.org/2001/XMLSchema"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns:hl7="urn:hl7-org:v3"
         xmlns="http://purl.oclc.org/dsdl/schematron"
         xmlns:sch="http://www.ascc.net/xml/schematron"
         xmlns:uuid="java:java.util.UUID"
         id="template-2.16.840.1.113883.2.4.6.10.40.116">
   <title>Overig onderzoek</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.116
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.116']]
Item: (TMP OverigOnderzoek)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.116
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.116']]/hl7:act
Item: (TMP OverigOnderzoek)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.116']]/hl7:act"
         id="tmp-0c1b7da6-cdb5-4376-879f-ce56cf53f77a">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.116.html"
              test="@classCode='ACT' ">(TMP OverigOnderzoek): De waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.116.html"
              test="@moodCode='EVN' ">(TMP OverigOnderzoek): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.116.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.116'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.116']/@nullFlavor)">(TMP OverigOnderzoek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.116'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.116.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.116'])&lt;=1">(TMP OverigOnderzoek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.116'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.116.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP OverigOnderzoek): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.116.html"
              test="count(hl7:code)&lt;=1">(TMP OverigOnderzoek): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.116.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(TMP OverigOnderzoek): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.116.html"
              test="count(hl7:text)&lt;=1">(TMP OverigOnderzoek): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.116.html"
              test="count(hl7:performer)&lt;=1">(TMP OverigOnderzoek): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.116
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.116']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.116']
Item: (TMP OverigOnderzoek)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.116']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.116']"
         id="tmp-76285e28-841a-4db5-9ca9-3a148be65c75">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.116.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.116'">(TMP OverigOnderzoek): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.116' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.116.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP OverigOnderzoek): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.116
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.116']]/hl7:act/hl7:code
Item: (TMP OverigOnderzoek)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.116']]/hl7:act/hl7:code"
         id="tmp-c43cdc5c-a3e5-4bdc-b6cd-a9615e41890e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.116.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP OverigOnderzoek): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.116.html"
              test="@nullFlavor or (@code='26436-6' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Laboratory Studies')">(TMP OverigOnderzoek): De waarde van @code/@codeSystem MOET '26436-6' codeSystem '2.16.840.1.113883.6.1' displayName='Laboratory Studies' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.116
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.116']]/hl7:act/hl7:text
Item: (TMP OverigOnderzoek)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.116']]/hl7:act/hl7:text"
         id="tmp-20614fd9-5312-4b24-9bda-7cd30d81b20b">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.116.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(TMP OverigOnderzoek): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.116
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.116']]/hl7:act/hl7:performer
Item: (TMP OverigOnderzoek)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.116']]/hl7:act/hl7:performer"
         id="tmp-ffdb3387-23c1-4877-b9dd-54d07f594efc">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.116.html"
              test="@contextControlCode='OP' ">(TMP OverigOnderzoek): De waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.116.html"
              test="@typeCode='PRF' ">(TMP OverigOnderzoek): De waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.116.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP OverigOnderzoek): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.116
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.116']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP OverigOnderzoek)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.116']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-1f278806-144f-460a-b70b-802719c622c0">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.116.html"
              test="@classCode='ASSIGNED' ">(TMP OverigOnderzoek): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.116
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.116']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP OverigOnderzoek)
-->
<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.116']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-99700b84-e818-4bf1-978e-d39a7d33bc96">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.116.html"
              test="@classCode='ASSIGNED' ">(TMP OverigOnderzoek): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.116
Context: *[hl7:templateId/@root='']
Item: (TMP OverigOnderzoek)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-7281c5c1-f72e-4aa7-85a3-4583d01bfc8c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.116.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP OverigOnderzoek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.116.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP OverigOnderzoek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.116
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (TMP OverigOnderzoek)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-49dcf57b-d9e7-43bb-8c4e-eb117b6a1c21">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.116.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(TMP OverigOnderzoek): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.116.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP OverigOnderzoek): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>
</pattern>