<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.40.117
Description: 
-->
<pattern xmlns:xs="http://www.w3.org/2001/XMLSchema"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns:hl7="urn:hl7-org:v3"
         xmlns="http://purl.oclc.org/dsdl/schematron"
         xmlns:sch="http://www.ascc.net/xml/schematron"
         xmlns:uuid="java:java.util.UUID"
         id="template-2.16.840.1.113883.2.4.6.10.40.117">
   <title>Intercollegiaal consult</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.117
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.117']]
Item: (TMP IntercollegiaalConsult)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.117
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.117']]/hl7:observation
Item: (TMP IntercollegiaalConsult)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.117']]/hl7:observation"
         id="tmp-61264394-5081-4c3e-8b5e-05241ec88cfe">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.117.html"
              test="@classCode='OBS' ">(TMP IntercollegiaalConsult): De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.117.html"
              test="@moodCode='EVN' ">(TMP IntercollegiaalConsult): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.117.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.117'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.117']/@nullFlavor)">(TMP IntercollegiaalConsult): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.117'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.117.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.117'])&lt;=1">(TMP IntercollegiaalConsult): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.117'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.117.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP IntercollegiaalConsult): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.117.html"
              test="count(hl7:code)&lt;=1">(TMP IntercollegiaalConsult): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.117.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(TMP IntercollegiaalConsult): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.117.html"
              test="count(hl7:value)&lt;=1">(TMP IntercollegiaalConsult): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.117
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.117']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.117']
Item: (TMP IntercollegiaalConsult)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.117']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.117']"
         id="tmp-9f8bfbaa-1d5b-474c-87ae-ee82f8e3b634">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.117.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.117'">(TMP IntercollegiaalConsult): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.117' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.117.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP IntercollegiaalConsult): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.117
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.117']]/hl7:observation/hl7:code
Item: (TMP IntercollegiaalConsult)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.117']]/hl7:observation/hl7:code"
         id="tmp-79b0b8c3-3df7-4cb7-97cb-bb6aaffd645f">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.117.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP IntercollegiaalConsult): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.117.html"
              test="@nullFlavor or (@code='47042-7' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Counseling note')">(TMP IntercollegiaalConsult): De waarde van @code/@codeSystem MOET '47042-7' codeSystem '2.16.840.1.113883.6.1' displayName='Counseling note' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.117
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.117']]/hl7:observation/hl7:value
Item: (TMP IntercollegiaalConsult)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.117']]/hl7:observation/hl7:value"
         id="tmp-7997895d-b667-4407-ac01-41dbd9836314">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.117.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP IntercollegiaalConsult): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>