<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.70.15
Description: 
-->
<pattern xmlns:xs="http://www.w3.org/2001/XMLSchema"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns:hl7="urn:hl7-org:v3"
         xmlns="http://purl.oclc.org/dsdl/schematron"
         xmlns:sch="http://www.ascc.net/xml/schematron"
         xmlns:uuid="java:java.util.UUID"
         id="template-2.16.840.1.113883.2.4.6.10.70.15">
   <title/>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]
Item: (TMP Episode)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern
Item: (TMP Episode)
-->

<rule context="*[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern"
         id="tmp-fba471ec-433b-44af-854b-0596d300dff8">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@classCode='CONC' ">(TMP Episode): De waarde van @classCode MOET 'CONC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@moodCode='EVN' ">(TMP Episode): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.15'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.15']/@nullFlavor)">(TMP Episode): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.15'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.15'])&lt;=1">(TMP Episode): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.15'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(TMP Episode): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(hl7:id)&lt;=1">(TMP Episode): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(TMP Episode): element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(hl7:statusCode)&lt;=1">(TMP Episode): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(hl7:effectiveTime)&lt;=1">(TMP Episode): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(hl7:subject2)&gt;=1 and not(hl7:subject2/@nullFlavor)">(TMP Episode): element hl7:subject2 is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(hl7:author)&lt;=1">(TMP Episode): element hl7:author komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.15']
Item: (TMP Episode)
-->

<rule context="*[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.15']"
         id="tmp-8b471ea8-e367-4891-80af-0d9be6c0027c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.15'">(TMP Episode): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.15' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Episode): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:id
Item: (TMP Episode)
-->

<rule context="*[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:id"
         id="tmp-6edd088f-8a48-4c4f-a3e2-4a46a333cb93">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP Episode): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:statusCode
Item: (TMP Episode)
-->

<rule context="*[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:statusCode"
         id="tmp-74042a22-60e7-4297-9010-0f6a9c5e2cce">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(TMP Episode): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@nullFlavor or (@code='active') or (@code='completed')">(TMP Episode): De waarde van @code MOET één van de volgende codes bevatten: 'active of completed'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:effectiveTime
Item: (TMP Episode)
-->

<rule context="*[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:effectiveTime"
         id="tmp-e9a4f7f5-7c40-46f0-a6ba-0b59dec4656b">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">(TMP Episode): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">(TMP Episode): element hl7:low is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(hl7:low)&lt;=1">(TMP Episode): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(hl7:high)&lt;=1">(TMP Episode): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(hl7:width)=0">(TMP Episode): element hl7:width MAY NOT be present </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(hl7:center)=0">(TMP Episode): element hl7:center MAY NOT be present </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:effectiveTime/hl7:low
Item: (TMP Episode)
-->

<rule context="*[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:effectiveTime/hl7:low"
         id="tmp-6c311ce5-4c1f-4410-aaf6-4cde0e5ff635">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP Episode): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:effectiveTime/hl7:high
Item: (TMP Episode)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:effectiveTime/hl7:width
Item: (TMP Episode)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:effectiveTime/hl7:center
Item: (TMP Episode)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:component
Item: (TMP Episode)
-->

<rule context="*[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:component"
         id="tmp-25d42a33-b416-4b97-b9c3-e949a724f823">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@typeCode='COMP' ">(TMP Episode): De waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@contextConductionInd='true' ">(TMP Episode): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:reference
Item: (TMP Episode)
-->

<rule context="*[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:reference"
         id="tmp-10d66147-0c00-49d1-b5dc-115dc1f2af98">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@typeCode='REFR' ">(TMP Episode): De waarde van @typeCode MOET 'REFR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@contextConductionInd='false' ">(TMP Episode): @contextConductionInd SHALL have value 'false' STATIC </assert>
      <let name="elmcount"
           value="count(*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.2']|*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.16'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="$elmcount&gt;=1">(TMP Episode): keuze (*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.2'] of *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.16']) bevat te weinig elementen [min 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:reference
Item: (TMP Episode)
-->

<rule context="*[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:reference"
         id="tmp-401355c5-3573-45b4-bf3a-ddb4f4fcd99f">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.2'])&lt;=1">(TMP Episode): element *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.2'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.16'])&lt;=1">(TMP Episode): element *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.16'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:subject2
Item: (TMP Episode)
-->

<rule context="*[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:subject2"
         id="tmp-421b6be6-b43b-45da-815d-76c34634472f">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@typeCode='SUBJ' ">(TMP Episode): De waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@contextConductionInd='true' ">(TMP Episode): @contextConductionInd SHALL have value 'true' STATIC </assert>
      <let name="elmcount"
           value="count(*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']|*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.25'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="$elmcount&gt;=1">(TMP Episode): keuze (*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5'] of *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.25']) bevat te weinig elementen [min 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:subject2
Item: (TMP Episode)
-->

<rule context="*[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:subject2"
         id="tmp-45b8ccdc-9567-4bae-b02b-5444c8455ed9">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5'])&lt;=1">(TMP Episode): element *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.25'])&lt;=1">(TMP Episode): element *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.25'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:author
Item: (TMP Episode)
-->

<rule context="*[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:author"
         id="tmp-40aa9441-e08d-4a5d-b324-ec2989ab12fe">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@contextControlCode='OP' ">(TMP Episode): De waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@typeCode='AUT' ">(TMP Episode): De waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP Episode): element *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP Episode): element *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>
</pattern>