<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.70.22
Description: 
-->
<pattern xmlns:xs="http://www.w3.org/2001/XMLSchema"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns:hl7="urn:hl7-org:v3"
         xmlns="http://purl.oclc.org/dsdl/schematron"
         xmlns:sch="http://www.ascc.net/xml/schematron"
         xmlns:uuid="java:java.util.UUID"
         id="template-2.16.840.1.113883.2.4.6.10.70.22">
   <title/>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.22
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.22']
Item: (TMP AssignedPersonIdentified)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.22']"
         id="tmp-d381f85f-45f4-4c1f-8218-44fb4463c65a">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.22.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.22'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.22']/@nullFlavor)">(TMP AssignedPersonIdentified): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.22'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.22.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.22'])&lt;=1">(TMP AssignedPersonIdentified): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.22'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.22
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.22']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.22']
Item: (TMP AssignedPersonIdentified)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.22']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.22']"
         id="tmp-820a554a-3018-408f-bfe5-b390458a5484">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.22.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.22'">(TMP AssignedPersonIdentified): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.22' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.22.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP AssignedPersonIdentified): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>
</pattern>