<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.70.24
Description: 
-->
<pattern xmlns:xs="http://www.w3.org/2001/XMLSchema"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns:hl7="urn:hl7-org:v3"
         xmlns="http://purl.oclc.org/dsdl/schematron"
         xmlns:sch="http://www.ascc.net/xml/schematron"
         xmlns:uuid="java:java.util.UUID"
         id="template-2.16.840.1.113883.2.4.6.10.70.24">
   <title/>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.24
Context: *[hl7:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24']]
Item: (TMP FamilieRelatie)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.24
Context: *[hl7:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24']]/hl7:personalRelationship
Item: (TMP FamilieRelatie)
-->

<rule context="*[hl7:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24']]/hl7:personalRelationship"
         id="tmp-65215fb4-e170-4560-b3c8-f4bca75a51e2">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="@classCode='PRS' ">(TMP FamilieRelatie): De waarde van @classCode MOET 'PRS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.24'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.24']/@nullFlavor)">(TMP FamilieRelatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.24'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.24'])&lt;=1">(TMP FamilieRelatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.24'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="count(hl7:code)&gt;=1 ">(TMP FamilieRelatie): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="count(hl7:code)&lt;=1">(TMP FamilieRelatie): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="count(hl7:relationshipHolder)&gt;=1 and not(hl7:relationshipHolder/@nullFlavor)">(TMP FamilieRelatie): element hl7:relationshipHolder is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="count(hl7:relationshipHolder)&lt;=1">(TMP FamilieRelatie): element hl7:relationshipHolder komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.24
Context: *[hl7:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24']]/hl7:personalRelationship/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.24']
Item: (TMP FamilieRelatie)
-->

<rule context="*[hl7:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24']]/hl7:personalRelationship/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.24']"
         id="tmp-49096546-191b-4c67-9193-9bbff4a02b81">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.24'">(TMP FamilieRelatie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.24' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP FamilieRelatie): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.24
Context: *[hl7:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24']]/hl7:personalRelationship/hl7:code
Item: (TMP FamilieRelatie)
-->

<rule context="*[hl7:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24']]/hl7:personalRelationship/hl7:code"
         id="tmp-ea9bac82-970b-4511-9147-7558feaba332">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP FamilieRelatie): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(TMP FamilieRelatie): De waarde van @codeSystem MOET '2.16.840.1.113883.5.111' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.24
Context: *[hl7:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24']]/hl7:personalRelationship/hl7:relationshipHolder
Item: (TMP FamilieRelatie)
-->

<rule context="*[hl7:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24']]/hl7:personalRelationship/hl7:relationshipHolder"
         id="tmp-a038f3a7-af05-48bc-ab20-e05a0f255f3c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="@classCode='PSN' ">(TMP FamilieRelatie): De waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="@determinerCode='INSTANCE' ">(TMP FamilieRelatie): @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="count(hl7:administrativeGenderCode)&lt;=1">(TMP FamilieRelatie): element hl7:administrativeGenderCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="count(hl7:birthTime)&lt;=1">(TMP FamilieRelatie): element hl7:birthTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="count(hl7:deceasedTime)&lt;=1">(TMP FamilieRelatie): element hl7:deceasedTime komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.24
Context: *[hl7:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24']]/hl7:personalRelationship/hl7:relationshipHolder/hl7:administrativeGenderCode
Item: (TMP FamilieRelatie)
-->

<rule context="*[hl7:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24']]/hl7:personalRelationship/hl7:relationshipHolder/hl7:administrativeGenderCode"
         id="tmp-992a426a-c122-4507-903f-f5dcdb725e3e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP FamilieRelatie): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">(TMP FamilieRelatie): De waarde van @code MOET worden gekozen uit Value Set AdministrativeGender Administratieve geslachten DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.24
Context: *[hl7:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24']]/hl7:personalRelationship/hl7:relationshipHolder/hl7:birthTime
Item: (TMP FamilieRelatie)
-->

<rule context="*[hl7:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24']]/hl7:personalRelationship/hl7:relationshipHolder/hl7:birthTime"
         id="tmp-8a3e8d80-f245-4ca3-93fe-09cd3986e275">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP FamilieRelatie): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.24
Context: *[hl7:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24']]/hl7:personalRelationship/hl7:relationshipHolder/hl7:deceasedTime
Item: (TMP FamilieRelatie)
-->

<rule context="*[hl7:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24']]/hl7:personalRelationship/hl7:relationshipHolder/hl7:deceasedTime"
         id="tmp-4eb9908b-fde0-43ca-98f5-ef38f9b6405c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP FamilieRelatie): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>