<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.70.25
Description: 
-->
<pattern xmlns:xs="http://www.w3.org/2001/XMLSchema"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns:hl7="urn:hl7-org:v3"
         xmlns="http://purl.oclc.org/dsdl/schematron"
         xmlns:sch="http://www.ascc.net/xml/schematron"
         xmlns:uuid="java:java.util.UUID"
         id="template-2.16.840.1.113883.2.4.6.10.70.25">
   <title/>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.25
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.25']]
Item: (TMP EpisodeNaam)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.25
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.25']]/hl7:observation
Item: (TMP EpisodeNaam)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.25']]/hl7:observation"
         id="tmp-bc44e5a9-a752-4be6-9558-6cbea98edaf8">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.25.html"
              test="@classCode='OBS' ">(TMP EpisodeNaam): De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.25.html"
              test="@moodCode='EVN' ">(TMP EpisodeNaam): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.25.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.25'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.25']/@nullFlavor)">(TMP EpisodeNaam): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.25'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.25.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.25'])&lt;=1">(TMP EpisodeNaam): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.25'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.25.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP EpisodeNaam): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.25.html"
              test="count(hl7:code)&lt;=1">(TMP EpisodeNaam): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.25.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(TMP EpisodeNaam): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.25.html"
              test="count(hl7:value)&lt;=1">(TMP EpisodeNaam): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.25
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.25']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.25']
Item: (TMP EpisodeNaam)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.25']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.25']"
         id="tmp-0fa187d9-8a6d-4644-80cf-64001a667807">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.25.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.25'">(TMP EpisodeNaam): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.25' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.25.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP EpisodeNaam): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.25
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.25']]/hl7:observation/hl7:code
Item: (TMP EpisodeNaam)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.25']]/hl7:observation/hl7:code"
         id="tmp-a78c56e1-b78d-41c0-b726-e1b454c38d0a">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.25.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(TMP EpisodeNaam): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.25.html"
              test="@nullFlavor or (@code='DX' and @codeSystem='2.16.840.1.113883.5.4')">(TMP EpisodeNaam): De waarde van @code/@codeSystem MOET 'DX' codeSystem '2.16.840.1.113883.5.4' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.25
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.25']]/hl7:observation/hl7:value
Item: (TMP EpisodeNaam)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.25']]/hl7:observation/hl7:value"
         id="tmp-0cf74720-0a65-4220-bb7d-f396b0876592">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.25.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP EpisodeNaam): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>