<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.70.3
Description: 
-->
<pattern xmlns:xs="http://www.w3.org/2001/XMLSchema"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns:hl7="urn:hl7-org:v3"
         xmlns="http://purl.oclc.org/dsdl/schematron"
         xmlns:sch="http://www.ascc.net/xml/schematron"
         xmlns:uuid="java:java.util.UUID"
         id="template-2.16.840.1.113883.2.4.6.10.70.3">
   <title/>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]
Item: (TMP Contact)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter
Item: (TMP Contact)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter"
         id="tmp-69bf3f62-8a7d-4f42-9d6e-1d68dec36053">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@classCode='ENC' ">(TMP Contact): De waarde van @classCode MOET 'ENC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@moodCode='EVN' ">(TMP Contact): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3']/@nullFlavor)">(TMP Contact): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3'])&lt;=1">(TMP Contact): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(TMP Contact): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:id)&lt;=1">(TMP Contact): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:code)&gt;=1 ">(TMP Contact): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:code)&lt;=1">(TMP Contact): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:effectiveTime)&lt;=1">(TMP Contact): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:author)&lt;=1">(TMP Contact): element hl7:author komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3']
Item: (TMP Contact)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3']"
         id="tmp-35f42a8b-9d13-4575-b469-0e5340127d2f">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.3'">(TMP Contact): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Contact): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:id
Item: (TMP Contact)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:id"
         id="tmp-909fc098-1ced-40ab-90d5-da5141efa6ba">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP Contact): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:code
Item: (TMP Contact)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:code"
         id="tmp-8f7a0c93-8816-4047-a02a-20b6b2306906">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP Contact): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-Contactwijze-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-Contactwijze-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">(TMP Contact): De waarde van @code MOET worden gekozen uit Value Set Contactwijze NHG HIS tabel 14 Contactwijze versie 7 DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:translation)&lt;=1">(TMP Contact): element hl7:translation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:code/hl7:translation
Item: (TMP Contact)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:code/hl7:translation"
         id="tmp-56a2b5fd-0f0a-4eb7-b961-3378162a35a1">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP Contact): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-Verrichtingen-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-Verrichtingen-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">(TMP Contact): De waarde van @code MOET worden gekozen uit Value Set Verrichtingen WCIAv3 Tabel 15 Verrichtingen DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:effectiveTime
Item: (TMP Contact)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:effectiveTime"
         id="tmp-13275170-668c-4280-81db-334567483b4e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">(TMP Contact): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">(TMP Contact): element hl7:low is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:low)&lt;=1">(TMP Contact): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:high)&lt;=1">(TMP Contact): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:center)=0">(TMP Contact): element hl7:center MAY NOT be present </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:width)=0">(TMP Contact): element hl7:width MAY NOT be present </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:effectiveTime/hl7:low
Item: (TMP Contact)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:effectiveTime/hl7:low"
         id="tmp-2468e160-0cde-4acf-8186-f008ef0e1872">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP Contact): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:effectiveTime/hl7:high
Item: (TMP Contact)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:effectiveTime/hl7:high"
         id="tmp-e43ce168-a8b1-4326-8af4-164990d778a2">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP Contact): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:effectiveTime/hl7:center
Item: (TMP Contact)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:effectiveTime/hl7:width
Item: (TMP Contact)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:author
Item: (TMP Contact)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:author"
         id="tmp-d06215ba-4fbd-4778-b6af-1f9e03556cc4">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@typeCode='AUT' ">(TMP Contact): De waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@contextControlCode='OP' ">(TMP Contact): De waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP Contact): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP Contact)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-15c5d868-bd21-4d5f-be72-1edd5e36f337">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@classCode='ASSIGNED' ">(TMP Contact): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP Contact)
-->
<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-ff66b59c-7b47-4e7d-b729-f812bf0880d1">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@classCode='ASSIGNED' ">(TMP Contact): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:templateId/@root='']
Item: (TMP Contact)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-82bb3670-759c-4c25-8a56-25d3eeebc5b7">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP Contact): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP Contact): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (TMP Contact)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-c217986a-bc4f-4643-9478-558c8bc28d99">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(TMP Contact): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Contact): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:performer
Item: (TMP Contact)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:performer"
         id="tmp-e5f93d10-b0c4-4c81-bf83-3ba4eae45d71">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@typeCode='PRF' ">(TMP Contact): De waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@contextControlCode='OP' ">(TMP Contact): De waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP Contact): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP Contact)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-28cdc155-2e96-4399-bc83-0a505ce2ff4e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@classCode='ASSIGNED' ">(TMP Contact): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP Contact)
-->
<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-29273cc9-eb44-4198-856e-5d8bd65bcd3d">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@classCode='ASSIGNED' ">(TMP Contact): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:templateId/@root='']
Item: (TMP Contact)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-295a8591-d1a3-48b9-9cfb-8ccfea18628c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP Contact): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP Contact): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (TMP Contact)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-0027464d-032d-4ec9-943b-6fb5aef9615b">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(TMP Contact): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Contact): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:outboundRelationship
Item: (TMP Contact)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:outboundRelationship"
         id="tmp-86e005b8-b65d-4805-bfa4-97bb7e9270aa">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@typeCode='COMP' ">(TMP Contact): De waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@contextConductionInd='true' ">(TMP Contact): @contextConductionInd SHALL have value 'true' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:sequenceNumber)&lt;=1">(TMP Contact): element hl7:sequenceNumber komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.4']|*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']|*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']|*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="$elmcount&gt;=1">(TMP Contact): keuze (*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.4'] of *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5'] of *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6'] of *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']) bevat te weinig elementen [min 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:outboundRelationship/hl7:sequenceNumber
Item: (TMP Contact)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:outboundRelationship/hl7:sequenceNumber"
         id="tmp-c86d15be-905c-4cb7-ae02-07659954e913">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@nullFlavor or @xsi:type='INT.POS' or not(@xsi:type)">(TMP Contact): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT.POS" bevatten</assert>
      <extends rule="INT.POS"/>
      <let name="theValue" value="@value"/>
      <let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="$digitok">(TMP Contact): @value is not a valid INT number <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:outboundRelationship
Item: (TMP Contact)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:outboundRelationship"
         id="tmp-98393a24-d621-4ddf-a681-e89236a7d752">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.4'])&lt;=1">(TMP Contact): element *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.4'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5'])&lt;=1">(TMP Contact): element *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6'])&lt;=1">(TMP Contact): element *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9'])&lt;=1">(TMP Contact): element *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9'] komt te vaak voor [max 1x].</assert>
   </rule>
</pattern>