<?xml version="1.0" encoding="UTF-8"?>
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" abstract="true" id="template-2.16.840.1.113883.2.4.6.10.100.122">
    <title>R_AssignedEntityNL_PO identified</title>
    <rule context="$element">
        <assert role="error" test="not(@classCode) or @classCode='ASSIGNED'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/RoleClass.htm#ASSIGNED"
            >template-2.16.840.1.113883.2.4.6.10.100.122: @classCode moet indien aanwezig 'ASSIGNED' zijn</assert>
        <assert role="error" test="hl7:id"
            >template-2.16.840.1.113883.2.4.6.10.100.122: id is verplicht</assert>
    </rule>
    <rule context="$element/hl7:id">
        <extends rule="II"/>
        <assert role="error" test="not(@nullFlavor)"
            >template-2.16.840.1.113883.2.4.6.10.100.122: id is mandatory</assert>
    </rule>
</pattern>