<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.1
Description: Ontvangstbevestiging
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.1">
   <title>JGZ dossieroverdracht</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002
Item: Ontvangstbevestiging
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002
Item: Ontvangstbevestiging
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002
Item: Ontvangstbevestiging
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002/hl7:id
Item: Ontvangstbevestiging
-->

<rule context="hl7:MCCI_IN000002/hl7:id"
         id="tmp-9610dba7-7d51-476a-a484-54d7c5f8b241">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Ontvangstbevestiging: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error" test="@root and @extension">Ontvangstbevestiging: Transmission: id element mist root of extension</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002/hl7:creationTime
Item: Ontvangstbevestiging
-->

<rule context="hl7:MCCI_IN000002/hl7:creationTime"
         id="tmp-ff2e7c60-080e-42bc-a852-84cc011458a8">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">Ontvangstbevestiging: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <let name="datatypeName" value="substring-after(string(@xsi:type),':')"/>
      <assert role="error"
              test="not(@xsi:type) or string(@xsi:type)='TS' or substring-after(string(@xsi:type),':')='TS'">Ontvangstbevestiging: Transmission: creationTime moet datatype TS hebben.</assert>
      <assert role="error" test="matches(@value,'^[0-9]{14}')">Ontvangstbevestiging: Transmission: creationTime moet minimaal op de seconde nauwkeurig zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002/hl7:versionCode
Item: Ontvangstbevestiging
-->

<rule context="hl7:MCCI_IN000002/hl7:versionCode"
         id="tmp-5b68bcae-9d30-4979-9e71-3966f05e4544">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">Ontvangstbevestiging: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="@nullFlavor or (@code='NICTIZEd2005-Okt')">Ontvangstbevestiging: De waarde van @code MOET 'NICTIZEd2005-Okt' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002/hl7:interactionId[@root='2.16.840.1.113883.1.6']
Item: Ontvangstbevestiging
-->

<rule context="hl7:MCCI_IN000002/hl7:interactionId[@root='2.16.840.1.113883.1.6']"
         id="tmp-160c6e1e-c936-432e-aa55-e1e632046970">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Ontvangstbevestiging: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="@root='2.16.840.1.113883.1.6'">Ontvangstbevestiging: @root MOET de waarde '2.16.840.1.113883.1.6' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">Ontvangstbevestiging: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <let name="interactionId"
           value="self::node()[@root='2.16.840.1.113883.1.6']/@extension"/>
      <assert role="error"
              test="not(@root='2.16.840.1.113883.1.6') or local-name(..)=@extension">Ontvangstbevestiging: Transmission: @extension moet overeenkomen met het startelement van het bericht</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002/hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']
Item: Ontvangstbevestiging
-->

<rule context="hl7:MCCI_IN000002/hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']"
         id="tmp-a20eeb61-58e3-49a8-97a2-c346ff708cab">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Ontvangstbevestiging: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="@root='2.16.840.1.113883.2.4.3.11.1'">Ontvangstbevestiging: @root MOET de waarde '2.16.840.1.113883.2.4.3.11.1' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">Ontvangstbevestiging: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="@extension='810'">Ontvangstbevestiging: De waarde van @extension MOET '810' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002/hl7:processingCode
Item: Ontvangstbevestiging
-->

<rule context="hl7:MCCI_IN000002/hl7:processingCode"
         id="tmp-d7d738ee-d002-4fcf-bce1-920f21a5e10b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">Ontvangstbevestiging: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="@nullFlavor or (@code='P')">Ontvangstbevestiging: De waarde van @code MOET 'P' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002/hl7:processingModeCode
Item: Ontvangstbevestiging
-->

<rule context="hl7:MCCI_IN000002/hl7:processingModeCode"
         id="tmp-470cec35-4616-44bd-9ae6-6834a15ba817">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">Ontvangstbevestiging: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="@nullFlavor or (@code='T')">Ontvangstbevestiging: De waarde van @code MOET 'T' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002/hl7:acceptAckCode
Item: Ontvangstbevestiging
-->

<rule context="hl7:MCCI_IN000002/hl7:acceptAckCode"
         id="tmp-3879e480-f985-4f53-ac25-1006390cffd7">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">Ontvangstbevestiging: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="@nullFlavor or (@code='NE')">Ontvangstbevestiging: De waarde van @code MOET 'NE' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002/hl7:acknowledgement
Item: Ontvangstbevestiging
-->

<rule context="hl7:MCCI_IN000002/hl7:acknowledgement"
         id="tmp-8f33c9da-bf01-4edc-a587-ac6bdfa970a2">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="string-length(@typeCode)&gt;0">Ontvangstbevestiging: attribute @typeCode MOET aanwezig zijn.</assert>
      <assert role="warning" test="@typeCode='CA' or @typeCode='CE' or @typeCode='CR'">Ontvangstbevestiging: Transmission: ontvangstbevestigingen moeten acknowledgement/@typeCode CA, CE of CR hebben. In slechts sommige gevallen worden 
                    toch inhoudelijke antwoorden toegestaan (@typeCode is 'AA', 'AE' or 'AR').</assert>
      <assert role="warning"
              test="@typeCode='AA' or @typeCode='CA' or hl7:acknowledgementDetail">Ontvangstbevestiging: Transmission: negatieve antwoordberichten moeten ook een reden hebben waarom</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:targetMessage)&gt;=1 and not(hl7:targetMessage/@nullFlavor)">Ontvangstbevestiging: element hl7:targetMessage is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:targetMessage)&lt;=1">Ontvangstbevestiging: element hl7:targetMessage komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002/hl7:acknowledgement/hl7:acknowledgementDetail
Item: Ontvangstbevestiging
-->

<rule context="hl7:MCCI_IN000002/hl7:acknowledgement/hl7:acknowledgementDetail"
         id="tmp-d7f31535-d7af-4364-ad45-b69cddda891f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="@typeCode='E' or not(@typeCode)">Ontvangstbevestiging: De waarde van @typeCode MOET 'E' zijn.</assert>
      <assert role="error" test="hl7:code[@code and @displayName] or hl7:text">Ontvangstbevestiging: Transmission: er moet een toelichting op de fout/waarschuwing zijn in hl7:code/@displayName of text</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Ontvangstbevestiging: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:code)&lt;=1">Ontvangstbevestiging: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:text)&lt;=1">Ontvangstbevestiging: element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002/hl7:acknowledgement/hl7:acknowledgementDetail/hl7:code
Item: Ontvangstbevestiging
-->

<rule context="hl7:MCCI_IN000002/hl7:acknowledgement/hl7:acknowledgementDetail/hl7:code"
         id="tmp-50bf2f3a-139c-49b3-ac4d-26f90752655c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Ontvangstbevestiging: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="warning"
              test="@displayName or @codeSystem='2.16.840.1.113883.5.1100' or @codeSystem='2.16.840.1.113883.2.4.6.6.1.1000' or @codeSystem='2.16.840.1.113883.5.4'">Ontvangstbevestiging: Transmission: als de code niet uit een van de standaardcodesystemen '2.16.840.1.113883.5.1100', '2.16.840.1.113883.2.4.6.6.1.1000', of '2.16.840.1.113883.5.4' komt is het @displayName attribuut verplicht</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002/hl7:acknowledgement/hl7:acknowledgementDetail/hl7:text
Item: Ontvangstbevestiging
-->

<rule context="hl7:MCCI_IN000002/hl7:acknowledgement/hl7:acknowledgementDetail/hl7:text"
         id="tmp-30fb8aac-6684-4aa6-8671-62868afd900c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">Ontvangstbevestiging: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002/hl7:acknowledgement/hl7:acknowledgementDetail/hl7:location
Item: Ontvangstbevestiging
-->

<rule context="hl7:MCCI_IN000002/hl7:acknowledgement/hl7:acknowledgementDetail/hl7:location"
         id="tmp-ec8f2ace-7acf-425d-a92e-89061d4a7cc5">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">Ontvangstbevestiging: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002/hl7:acknowledgement/hl7:targetMessage
Item: Ontvangstbevestiging
-->

<rule context="hl7:MCCI_IN000002/hl7:acknowledgement/hl7:targetMessage"
         id="tmp-82cf7682-bf87-438e-a5df-cdfa5103c2a8">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">Ontvangstbevestiging: element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:id)&lt;=1">Ontvangstbevestiging: element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002/hl7:acknowledgement/hl7:targetMessage/hl7:id
Item: Ontvangstbevestiging
-->

<rule context="hl7:MCCI_IN000002/hl7:acknowledgement/hl7:targetMessage/hl7:id"
         id="tmp-0959bb28-3703-496b-87fb-5927567febea">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Ontvangstbevestiging: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002
Item: Ontvangstbevestiging
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002/hl7:receiver
Item: Ontvangstbevestiging
-->

<rule context="hl7:MCCI_IN000002/hl7:receiver"
         id="tmp-a3ae83c3-3020-483d-84dc-09e9f83c97ba">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="@typeCode='RCV' or not(@typeCode)">Ontvangstbevestiging: De waarde van @typeCode MOET 'RCV' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:device)&gt;=1 and not(hl7:device/@nullFlavor)">Ontvangstbevestiging: element hl7:device is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:device)&lt;=1">Ontvangstbevestiging: element hl7:device komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002/hl7:receiver/hl7:device
Item: Ontvangstbevestiging
-->

<rule context="hl7:MCCI_IN000002/hl7:receiver/hl7:device"
         id="tmp-b83838d9-afa7-49e9-9dd9-3705d09a17ae">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.6']/@nullFlavor)">Ontvangstbevestiging: element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&lt;=1">Ontvangstbevestiging: element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:name)&lt;=1">Ontvangstbevestiging: element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002/hl7:receiver/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']
Item: Ontvangstbevestiging
-->

<rule context="hl7:MCCI_IN000002/hl7:receiver/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']"
         id="tmp-2cddcef4-3ad5-4b45-9009-8e72c3115aad">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Ontvangstbevestiging: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="@root='2.16.840.1.113883.2.4.6.6'">Ontvangstbevestiging: @root MOET de waarde '2.16.840.1.113883.2.4.6.6' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">Ontvangstbevestiging: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error" test="@root='2.16.840.1.113883.2.4.6.6' and not(@extension='1')">Ontvangstbevestiging: Transmission: receiver/device/id mag niet de AORTA ZIM zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002/hl7:receiver/hl7:device/hl7:name
Item: Ontvangstbevestiging
-->

<rule context="hl7:MCCI_IN000002/hl7:receiver/hl7:device/hl7:name"
         id="tmp-dc919344-0f43-428d-92c2-3c6133a4ea1d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="@nullFlavor or @xsi:type='EN' or not(@xsi:type)">Ontvangstbevestiging: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "EN" bevatten</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002
Item: Ontvangstbevestiging
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002/hl7:sender
Item: Ontvangstbevestiging
-->

<rule context="hl7:MCCI_IN000002/hl7:sender"
         id="tmp-8fc9c86c-98c3-4314-9f76-10f0bc03c175">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="@typeCode='SND' or not(@typeCode)">Ontvangstbevestiging: De waarde van @typeCode MOET 'SND' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:device)&gt;=1 and not(hl7:device/@nullFlavor)">Ontvangstbevestiging: element hl7:device is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:device)&lt;=1">Ontvangstbevestiging: element hl7:device komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002/hl7:sender/hl7:device
Item: Ontvangstbevestiging
-->

<rule context="hl7:MCCI_IN000002/hl7:sender/hl7:device"
         id="tmp-4067e442-5513-4813-bbcb-270c6f5d3173">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.6']/@nullFlavor)">Ontvangstbevestiging: element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&lt;=1">Ontvangstbevestiging: element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:name)&lt;=1">Ontvangstbevestiging: element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002/hl7:sender/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']
Item: Ontvangstbevestiging
-->

<rule context="hl7:MCCI_IN000002/hl7:sender/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']"
         id="tmp-603e1a74-9266-4900-baf6-2e05fed07414">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Ontvangstbevestiging: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="@root='2.16.840.1.113883.2.4.6.6'">Ontvangstbevestiging: @root MOET de waarde '2.16.840.1.113883.2.4.6.6' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">Ontvangstbevestiging: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002/hl7:sender/hl7:device/hl7:name
Item: Ontvangstbevestiging
-->

<rule context="hl7:MCCI_IN000002/hl7:sender/hl7:device/hl7:name"
         id="tmp-ffd83098-e004-4f36-a344-80827d810e6e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="@nullFlavor or @xsi:type='EN' or not(@xsi:type)">Ontvangstbevestiging: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "EN" bevatten</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>