<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.35.900100
Description: Template: Query Labuitslag Medicatiebewaking
-->
<pattern xmlns:xs="http://www.w3.org/2001/XMLSchema"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns:hl7="urn:hl7-org:v3"
         xmlns="http://purl.oclc.org/dsdl/schematron"
         xmlns:sch="http://www.ascc.net/xml/schematron"
         xmlns:uuid="java:java.util.UUID"
         id="template-2.16.840.1.113883.2.4.6.10.35.900100">
   <title/>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.900100
Context: hl7:ControlActProcess
Item: Query Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess" id="tmp-ac3651ea-4d82-4c09-80df-a0e800d5e62a">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:queryByParameter)&gt;=1 and not(hl7:queryByParameter/@nullFlavor)">Query Labuitslag Medicatiebewaking: element hl7:queryByParameter is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:queryByParameter)&lt;=1">Query Labuitslag Medicatiebewaking: element hl7:queryByParameter komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.900100
Context: hl7:ControlActProcess/hl7:queryByParameter
Item: Query Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:queryByParameter"
         id="tmp-b536c7b0-b8bd-4a8f-a4ac-5aee20364a88">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:queryId)&gt;=1 and not(hl7:queryId/@nullFlavor)">Query Labuitslag Medicatiebewaking: element hl7:queryId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:queryId)&lt;=1">Query Labuitslag Medicatiebewaking: element hl7:queryId komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">Query Labuitslag Medicatiebewaking: element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:statusCode)&lt;=1">Query Labuitslag Medicatiebewaking: element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:responseModalityCode)&gt;=1 and not(hl7:responseModalityCode/@nullFlavor)">Query Labuitslag Medicatiebewaking: element hl7:responseModalityCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:responseModalityCode)&lt;=1">Query Labuitslag Medicatiebewaking: element hl7:responseModalityCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:responsePriorityCode)&gt;=1 and not(hl7:responsePriorityCode/@nullFlavor)">Query Labuitslag Medicatiebewaking: element hl7:responsePriorityCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:responsePriorityCode)&lt;=1">Query Labuitslag Medicatiebewaking: element hl7:responsePriorityCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:executionAndDeliveryTime)&gt;=1 and not(hl7:executionAndDeliveryTime/@nullFlavor)">Query Labuitslag Medicatiebewaking: element hl7:executionAndDeliveryTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:executionAndDeliveryTime)&lt;=1">Query Labuitslag Medicatiebewaking: element hl7:executionAndDeliveryTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:actMoodCode)&gt;=1 and not(hl7:actMoodCode/@nullFlavor)">Query Labuitslag Medicatiebewaking: element hl7:actMoodCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:actMoodCode)&lt;=1">Query Labuitslag Medicatiebewaking: element hl7:actMoodCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:observationEffectiveTime)&lt;=1">Query Labuitslag Medicatiebewaking: element hl7:observationEffectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:patientId)&gt;=1 and not(hl7:patientId/@nullFlavor)">Query Labuitslag Medicatiebewaking: element hl7:patientId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:patientId)&lt;=1">Query Labuitslag Medicatiebewaking: element hl7:patientId komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:responseTemplateId)&gt;=1 and not(hl7:responseTemplateId/@nullFlavor)">Query Labuitslag Medicatiebewaking: element hl7:responseTemplateId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:responseTemplateId)&lt;=1">Query Labuitslag Medicatiebewaking: element hl7:responseTemplateId komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.900100
Context: hl7:ControlActProcess/hl7:queryByParameter/hl7:queryId
Item: Query Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:queryByParameter/hl7:queryId"
         id="tmp-6951bb2a-4e0c-488f-9fa2-65d448d68653">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Query Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.900100
Context: hl7:ControlActProcess/hl7:queryByParameter/hl7:statusCode
Item: Query Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:queryByParameter/hl7:statusCode"
         id="tmp-496b8906-401a-4e35-ac3e-9c9c24fe2184">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">Query Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="@nullFlavor or (@code='executing')">Query Labuitslag Medicatiebewaking: De waarde van @code MOET 'executing' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.900100
Context: hl7:ControlActProcess/hl7:queryByParameter/hl7:responseModalityCode
Item: Query Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:queryByParameter/hl7:responseModalityCode"
         id="tmp-ab039155-3141-4417-a9b1-d464b4d80be1">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">Query Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="@nullFlavor or (@code='B')">Query Labuitslag Medicatiebewaking: De waarde van @code MOET 'B' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.900100
Context: hl7:ControlActProcess/hl7:queryByParameter/hl7:responsePriorityCode
Item: Query Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:queryByParameter/hl7:responsePriorityCode"
         id="tmp-6761410a-4eb5-4847-8924-72f741ed5665">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">Query Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="@nullFlavor or (@code='I')">Query Labuitslag Medicatiebewaking: De waarde van @code MOET 'I' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.900100
Context: hl7:ControlActProcess/hl7:queryByParameter/hl7:executionAndDeliveryTime
Item: Query Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:queryByParameter/hl7:executionAndDeliveryTime"
         id="tmp-59d9a20f-701e-48a6-979f-1565acbb83bc">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">Query Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.900100
Context: hl7:ControlActProcess/hl7:queryByParameter/hl7:actMoodCode
Item: Query Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:queryByParameter/hl7:actMoodCode"
         id="tmp-71575f52-1271-4377-876b-97d80232a170">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">Query Labuitslag Medicatiebewaking: element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:value)&lt;=1">Query Labuitslag Medicatiebewaking: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.900100
Context: hl7:ControlActProcess/hl7:queryByParameter/hl7:actMoodCode/hl7:value
Item: Query Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:queryByParameter/hl7:actMoodCode/hl7:value"
         id="tmp-a47398d6-c537-4a2f-8270-85d1a4b48d48">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Query Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="@nullFlavor or (@code='EVN' and @codeSystem='2.16.840.1.113883.5.1001')">Query Labuitslag Medicatiebewaking: De waarde van @code/@codeSystem MOET 'EVN' codeSystem '2.16.840.1.113883.5.1001' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.900100
Context: hl7:ControlActProcess/hl7:queryByParameter/hl7:observationEffectiveTime
Item: Query Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:queryByParameter/hl7:observationEffectiveTime"
         id="tmp-a338d0ec-4b62-4e3a-9518-b291c1ceb748">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">Query Labuitslag Medicatiebewaking: element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:value)&lt;=1">Query Labuitslag Medicatiebewaking: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.900100
Context: hl7:ControlActProcess/hl7:queryByParameter/hl7:observationEffectiveTime/hl7:value
Item: Query Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:queryByParameter/hl7:observationEffectiveTime/hl7:value"
         id="tmp-7d27ec84-0191-43e0-8de8-d12cbb7b4db0">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">Query Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.900100
Context: hl7:ControlActProcess/hl7:queryByParameter/hl7:patientId
Item: Query Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:queryByParameter/hl7:patientId"
         id="tmp-29d84d4c-2a29-4b36-b6ad-a257f0ac57b6">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 and not(hl7:value[@root='2.16.840.1.113883.2.4.6.3']/@nullFlavor)">Query Labuitslag Medicatiebewaking: element hl7:value[@root='2.16.840.1.113883.2.4.6.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">Query Labuitslag Medicatiebewaking: element hl7:value[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.900100
Context: hl7:ControlActProcess/hl7:queryByParameter/hl7:patientId/hl7:value[@root='2.16.840.1.113883.2.4.6.3']
Item: Query Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:queryByParameter/hl7:patientId/hl7:value[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-548db2c1-c6d9-482d-a491-1f428ac9c3d2">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="@nullFlavor or @xsi:type='II.NL.BSN' or not(@xsi:type)">Query Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.BSN" bevatten</assert>
      <extends rule="II.NL.BSN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="@root='2.16.840.1.113883.2.4.6.3'">Query Labuitslag Medicatiebewaking: @root MOET de waarde '2.16.840.1.113883.2.4.6.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">Query Labuitslag Medicatiebewaking: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="string-length(@extension)&gt;0">Query Labuitslag Medicatiebewaking: attribute @extension MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.900100
Context: hl7:ControlActProcess/hl7:queryByParameter/hl7:responseTemplateId
Item: Query Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:queryByParameter/hl7:responseTemplateId"
         id="tmp-43463e85-afd3-46ed-be24-9416bb9a180d">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.10.35.5'])&gt;=1 and not(hl7:value[@root='2.16.840.1.113883.2.4.6.10.35.5']/@nullFlavor)">Query Labuitslag Medicatiebewaking: element hl7:value[@root='2.16.840.1.113883.2.4.6.10.35.5'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.10.35.5'])&lt;=1">Query Labuitslag Medicatiebewaking: element hl7:value[@root='2.16.840.1.113883.2.4.6.10.35.5'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.900100
Context: hl7:ControlActProcess/hl7:queryByParameter/hl7:responseTemplateId/hl7:value[@root='2.16.840.1.113883.2.4.6.10.35.5']
Item: Query Labuitslag Medicatiebewaking
-->

<rule context="hl7:ControlActProcess/hl7:queryByParameter/hl7:responseTemplateId/hl7:value[@root='2.16.840.1.113883.2.4.6.10.35.5']"
         id="tmp-e194781b-f35d-4c27-b339-a1539f59e955">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Query Labuitslag Medicatiebewaking: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="@root='2.16.840.1.113883.2.4.6.10.35.5'">Query Labuitslag Medicatiebewaking: @root MOET de waarde '2.16.840.1.113883.2.4.6.10.35.5' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20120524T154927/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">Query Labuitslag Medicatiebewaking: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>
</pattern>