<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.40.10
Description: 
-->
<pattern xmlns:xs="http://www.w3.org/2001/XMLSchema"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns:hl7="urn:hl7-org:v3"
         xmlns="http://purl.oclc.org/dsdl/schematron"
         xmlns:sch="http://www.ascc.net/xml/schematron"
         xmlns:uuid="java:java.util.UUID"
         id="template-2.16.840.1.113883.2.4.6.10.40.10">
   <title>Correspondentie Verkort</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.10
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]
Item: (TMP CorrespondentieVerkort)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.10
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act
Item: (TMP CorrespondentieVerkort)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act"
         id="tmp-477379ab-282b-4f5e-8b3b-49fa6112df1c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="@classCode='DOCCLIN' ">(TMP CorrespondentieVerkort): De waarde van @classCode MOET 'DOCCLIN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="@moodCode='EVN' ">(TMP CorrespondentieVerkort): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.10'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.10']/@nullFlavor)">(TMP CorrespondentieVerkort): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.10'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.10'])&lt;=1">(TMP CorrespondentieVerkort): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.10'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(TMP CorrespondentieVerkort): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="count(hl7:code)&gt;=1 ">(TMP CorrespondentieVerkort): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="count(hl7:code)&lt;=1">(TMP CorrespondentieVerkort): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="count(hl7:text)&lt;=1">(TMP CorrespondentieVerkort): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(TMP CorrespondentieVerkort): element hl7:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="count(hl7:author)&lt;=1">(TMP CorrespondentieVerkort): element hl7:author komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.10
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.10']
Item: (TMP CorrespondentieVerkort)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.10']"
         id="tmp-5404dd8c-cd3e-4175-ae92-33a9d605b54e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.10'">(TMP CorrespondentieVerkort): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.10' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP CorrespondentieVerkort): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.10
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:id
Item: (TMP CorrespondentieVerkort)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:id"
         id="tmp-4481db89-a9e7-44ba-a487-95445323c369">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP CorrespondentieVerkort): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.10
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:code
Item: (TMP CorrespondentieVerkort)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:code"
         id="tmp-db551f7c-596b-46cf-8613-5d2e64bf915b">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(TMP CorrespondentieVerkort): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.10
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:text
Item: (TMP CorrespondentieVerkort)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.10
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:author
Item: (TMP CorrespondentieVerkort)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:author"
         id="tmp-87fe151f-59cd-4b31-a063-decfbcbafa6c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="@typeCode='AUT' ">(TMP CorrespondentieVerkort): De waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="@contextControlCode='ON' ">(TMP CorrespondentieVerkort): De waarde van @contextControlCode MOET 'ON' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(TMP CorrespondentieVerkort): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="count(hl7:time)&lt;=1">(TMP CorrespondentieVerkort): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&gt;=1 and not(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]/@nullFlavor)">(TMP CorrespondentieVerkort): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP CorrespondentieVerkort): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.10
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:author/hl7:time
Item: (TMP CorrespondentieVerkort)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:author/hl7:time"
         id="tmp-8c05aa94-bed9-4bb2-b8b8-8300805ba324">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP CorrespondentieVerkort): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.10
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP CorrespondentieVerkort)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-f100d912-c51e-494f-bee6-c37cb43fec48">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="@classCode='ASSIGNED' ">(TMP CorrespondentieVerkort): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="count(hl7:code)&gt;=1 ">(TMP CorrespondentieVerkort): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="count(hl7:code)&lt;=1">(TMP CorrespondentieVerkort): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.10
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]/hl7:code
Item: (TMP CorrespondentieVerkort)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]/hl7:code"
         id="tmp-303b9cbc-b25f-43fc-a506-e4d6f6c4952e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.30.12')">(TMP CorrespondentieVerkort): De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.30.12' zijn.</assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.10
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP CorrespondentieVerkort)
-->
<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-fb862496-3aad-4090-b57f-9324d54c3392">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="@classCode='ASSIGNED' ">(TMP CorrespondentieVerkort): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="count(hl7:code)&gt;=1 ">(TMP CorrespondentieVerkort): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="count(hl7:code)&lt;=1">(TMP CorrespondentieVerkort): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.10
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]/hl7:code
Item: (TMP CorrespondentieVerkort)
-->
<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]/hl7:code"
         id="tmp-f9e35eb1-8183-44f1-8df4-9fe455156ad7">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.30.12')">(TMP CorrespondentieVerkort): De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.30.12' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.10
Context: *[hl7:templateId/@root='']
Item: (TMP CorrespondentieVerkort)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-cd98bae2-2821-489c-bc3c-5df19bf3850b">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP CorrespondentieVerkort): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP CorrespondentieVerkort): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.10
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (TMP CorrespondentieVerkort)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-c22e40ec-02e6-46d4-81a3-ef2483268986">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(TMP CorrespondentieVerkort): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP CorrespondentieVerkort): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>
</pattern>