<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.40.105
Description: 
-->
<pattern xmlns:xs="http://www.w3.org/2001/XMLSchema"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns:hl7="urn:hl7-org:v3"
         xmlns="http://purl.oclc.org/dsdl/schematron"
         xmlns:sch="http://www.ascc.net/xml/schematron"
         xmlns:uuid="java:java.util.UUID"
         id="template-2.16.840.1.113883.2.4.6.10.40.105">
   <title/>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.105
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.105']]
Item: (TMP Vraagstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.105
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.105']]/hl7:observation
Item: (TMP Vraagstelling)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.105']]/hl7:observation"
         id="tmp-d15d36d9-30f2-4d0f-b8dd-1291db76de21">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.105.html"
              test="@classCode='OBS' ">(TMP Vraagstelling): De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.105.html"
              test="@moodCode='EVN' ">(TMP Vraagstelling): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.105.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.105'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.105']/@nullFlavor)">(TMP Vraagstelling): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.105'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.105.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.105'])&lt;=1">(TMP Vraagstelling): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.105'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.105.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP Vraagstelling): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.105.html"
              test="count(hl7:code)&lt;=1">(TMP Vraagstelling): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.105.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(TMP Vraagstelling): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.105.html"
              test="count(hl7:value)&lt;=1">(TMP Vraagstelling): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.105.html"
              test="count(hl7:author)&lt;=1">(TMP Vraagstelling): element hl7:author komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.105
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.105']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.105']
Item: (TMP Vraagstelling)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.105']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.105']"
         id="tmp-e4710435-108e-4493-9944-e1fffe3f5584">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.105.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.105'">(TMP Vraagstelling): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.105' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.105.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Vraagstelling): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.105
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.105']]/hl7:observation/hl7:code
Item: (TMP Vraagstelling)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.105']]/hl7:observation/hl7:code"
         id="tmp-cbffca5a-1678-48ec-9426-c7f5ec40eac7">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.105.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP Vraagstelling): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.105.html"
              test="@nullFlavor or (@code='ADMDX' and @codeSystem='2.16.840.1.113883.5.4' and @displayName='Admitting diagnosis')">(TMP Vraagstelling): De waarde van @code/@codeSystem MOET 'ADMDX' codeSystem '2.16.840.1.113883.5.4' displayName='Admitting diagnosis' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.105
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.105']]/hl7:observation/hl7:value
Item: (TMP Vraagstelling)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.105']]/hl7:observation/hl7:value"
         id="tmp-9b26a91d-14c7-4d0c-8779-069e2d7863f0">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.105.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(TMP Vraagstelling): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.105.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.42.4.3.32.50')">(TMP Vraagstelling): De waarde van @codeSystem MOET '2.16.840.1.113883.5.42.4.3.32.50' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.105
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.105']]/hl7:observation/hl7:author
Item: (TMP Vraagstelling)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.105']]/hl7:observation/hl7:author"
         id="tmp-440f1b5d-a3e8-44a1-aef8-c7c356551cef">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.105.html"
              test="@contextControlCode='OP' ">(TMP Vraagstelling): De waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.105.html"
              test="@typeCode='AUT' ">(TMP Vraagstelling): De waarde van @typeCode MOET 'AUT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.105
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.105']]/hl7:observation/hl7:author
Item: (TMP Vraagstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.105
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.105']]/hl7:observation/hl7:author/hl7:assignedEntity
Item: (TMP Vraagstelling)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.105']]/hl7:observation/hl7:author/hl7:assignedEntity"
         id="tmp-c87673dd-2473-46b8-97f6-ab29ad4175c6">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.105.html"
              test="@classCode='ASSIGNED' ">(TMP Vraagstelling): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.105.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.104'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.104']/@nullFlavor)">(TMP Vraagstelling): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.104'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.105.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.104'])&lt;=1">(TMP Vraagstelling): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.104'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.105.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP Vraagstelling): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.105.html"
              test="count(hl7:code)&lt;=1">(TMP Vraagstelling): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.105
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.105']]/hl7:observation/hl7:author/hl7:assignedEntity/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.104']
Item: (TMP Vraagstelling)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.105']]/hl7:observation/hl7:author/hl7:assignedEntity/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.104']"
         id="tmp-a6632175-34a3-47be-8022-5a5c9b487e93">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.105.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.104'">(TMP Vraagstelling): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.104' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.105.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Vraagstelling): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.105
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.105']]/hl7:observation/hl7:author/hl7:assignedEntity/hl7:code
Item: (TMP Vraagstelling)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.105']]/hl7:observation/hl7:author/hl7:assignedEntity/hl7:code"
         id="tmp-d7c8bef9-4086-46ee-91d4-509dc6d14caa">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.105.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(TMP Vraagstelling): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.105.html"
              test="@nullFlavor or (@code='001' and @codeSystem='2.16.840.1.113883.2.4.3.32.3') or (@code='002' and @codeSystem='2.16.840.1.113883.2.4.3.32.3') or (@code='003' and @codeSystem='2.16.840.1.113883.2.4.3.32.3') or (@code='004' and @codeSystem='2.16.840.1.113883.2.4.3.32.3') or (@code='005' and @codeSystem='2.16.840.1.113883.2.4.3.32.3') or (@code='007' and @codeSystem='2.16.840.1.113883.2.4.3.32.3') or (@code='009' and @codeSystem='2.16.840.1.113883.2.4.3.32.3') or (@codeSystem='2.16.840.1.113883.2.4.3.32.51')">(TMP Vraagstelling): De waarde van @code MOET één van de volgende codes bevatten: '001' codeSystem '2.16.840.1.113883.2.4.3.32.3 of 002' codeSystem '2.16.840.1.113883.2.4.3.32.3 of 003' codeSystem '2.16.840.1.113883.2.4.3.32.3 of 004' codeSystem '2.16.840.1.113883.2.4.3.32.3 of 005' codeSystem '2.16.840.1.113883.2.4.3.32.3 of 007' codeSystem '2.16.840.1.113883.2.4.3.32.3 of 009' codeSystem '2.16.840.1.113883.2.4.3.32.3 of 2.16.840.1.113883.2.4.3.32.51'.</assert>
   </rule>
</pattern>