<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.70.2
Description: 
-->
<pattern xmlns:xs="http://www.w3.org/2001/XMLSchema"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns:hl7="urn:hl7-org:v3"
         xmlns="http://purl.oclc.org/dsdl/schematron"
         xmlns:sch="http://www.ascc.net/xml/schematron"
         xmlns:uuid="java:java.util.UUID"
         id="template-2.16.840.1.113883.2.4.6.10.70.2">
   <title/>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.2
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.2']]
Item: (TMP DatumLaatsteContact)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.2
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.2']]/hl7:observation
Item: (TMP DatumLaatsteContact)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.2']]/hl7:observation"
         id="tmp-e94e3751-9a45-4c0e-88e4-ffa3965f63da">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.2.html"
              test="@classCode='OBS' ">(TMP DatumLaatsteContact): De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.2.html"
              test="@moodCode='EVN' ">(TMP DatumLaatsteContact): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.2.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.2'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.2']/@nullFlavor)">(TMP DatumLaatsteContact): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.2'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.2.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.2'])&lt;=1">(TMP DatumLaatsteContact): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.2'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.2.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP DatumLaatsteContact): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.2.html"
              test="count(hl7:code)&lt;=1">(TMP DatumLaatsteContact): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.2.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(TMP DatumLaatsteContact): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.2.html"
              test="count(hl7:value)&lt;=1">(TMP DatumLaatsteContact): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.2
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.2']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.2']
Item: (TMP DatumLaatsteContact)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.2']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.2']"
         id="tmp-fd1e5953-01de-425c-ad22-4392af44b7ab">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.2.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.2'">(TMP DatumLaatsteContact): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.2' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.2.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP DatumLaatsteContact): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.2
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.2']]/hl7:observation/hl7:code
Item: (TMP DatumLaatsteContact)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.2']]/hl7:observation/hl7:code"
         id="tmp-1a536ba1-0068-448d-81cf-634986e6d2f1">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.2.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(TMP DatumLaatsteContact): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.2.html"
              test="@nullFlavor or (@code='21975-8' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Date last contact')">(TMP DatumLaatsteContact): De waarde van @code/@codeSystem MOET '21975-8' codeSystem '2.16.840.1.113883.6.1' displayName='Date last contact' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.2
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.2']]/hl7:observation/hl7:value
Item: (TMP DatumLaatsteContact)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.2']]/hl7:observation/hl7:value"
         id="tmp-40190cf0-f600-491e-8a88-0eafa49f05da">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.2.html"
              test="@nullFlavor or @xsi:type='TS.DATE.FULL' or not(@xsi:type)">(TMP DatumLaatsteContact): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS.DATE.FULL" bevatten</assert>
      <extends rule="TS.DATE.FULL"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>