<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
   <ns uri="urn:hl7-org:v3" prefix="hl7"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <!-- Add extra namespaces --><ns uri="http://www.w3.org/XML/1998/namespace" prefix="xml"/>
   <!--
==================================
Schematron schema for Versturen vaccinatie (versturenToegediendeVaccinaties)

Project: 

Copyright 2008 2009 2010 2011 2012 by Nictiz

Copyright 2008 2009 2010 2011 2012 by NCJ


Author: dr Kai U. Heitmann
Author: Alexander Henket
Author: Bettie Carmiggelt

Version information:
  2011-07-01T00:00:00 KH 
  2011-07-11T00:00:00 KH 
  2011-07-14T00:00:00 KH 
  2011-07-21T00:00:00 KH 
  2011-07-26T00:00:00 KH 
  2011-07-31T00:00:00 KH 
  2012-02-29T17:55:00 KH 
  2012-05-20T14:12:37 AH 
  2012-05-21T13:26:00 AH 
  2012-05-23T17:59:00 AH 

DISCLAIMER:
Hoewel deze publicatie met de uiterste zorg is samengesteld, kan Nictiz, NCJ geen aansprakelijkheid aanvaarden voor directe of indirecte schade ontstaan door de inhoud van de – al
            dan niet door derden aangeboden – informatie.

WARNING:
THIS FILE HAS BEEN GENERATED AUTOMAGICALLY. DON'T EDIT IT.

Creation date: 2012-05-23T21:15:28.837+02:00
==================================

--><!--Include realm specific schematron-->
<include href="coreschematron/xml.sch"/>
   <include href="include/transmission-wrapper.sch"/>
   <include href="include/controlAct-wrapper.sch"/>
   <pattern is-a="transmission-wrapper" id="REPC_IN002140NL-wrapper">
      <param name="element" value="hl7:REPC_IN002140NL"/>
   </pattern>
   <pattern is-a="controlAct-wrapper" id="REPC_IN002140NL-controlAct">
      <param name="element" value="hl7:REPC_IN002140NL/hl7:ControlActProcess"/>
   </pattern>
   <pattern>
      <rule context="hl7:REPC_IN002140NL/hl7:profileId">
         <extends rule="II"/>
         <assert role="error" test="@root='2.16.840.1.113883.2.4.3.11.1' and @extension='810'">In de transmission wrapper moet het element profileId worden gevuld met de waarde '810'</assert>
      </rule>
   </pattern>
   <!--Include datatype abstract schematrons-->
<include href="include/DTr1_ANY.sch"/>
   <include href="include/DTr1_AD.sch"/>
   <include href="include/DTr1_BIN.sch"/>
   <include href="include/DTr1_BL.sch"/>
   <include href="include/DTr1_CD.sch"/>
   <include href="include/DTr1_CE.sch"/>
   <include href="include/DTr1_CS.sch"/>
   <include href="include/DTr1_CV.sch"/>
   <include href="include/DTr1_EN.sch"/>
   <include href="include/DTr1_II.sch"/>
   <include href="include/DTr1_INT.sch"/>
   <include href="include/DTr1_INT.NONNEG.sch"/>
   <include href="include/DTr1_INT.POS.sch"/>
   <include href="include/DTr1_IVL.sch"/>
   <include href="include/DTr1_IVL_PQ.sch"/>
   <include href="include/DTr1_IVL_TS.sch"/>
   <include href="include/DTr1_PN.sch"/>
   <include href="include/DTr1_PQ.sch"/>
   <include href="include/DTr1_QTY.sch"/>
   <include href="include/DTr1_SXCM.sch"/>
   <include href="include/DTr1_TS.sch"/>
   <include href="include/DTr1_TS.DATE.sch"/>
   <include href="include/DTr1_TS.DATE.FULL.sch"/>
   <include href="include/DTr1_TS.DATE.MIN.sch"/>
   <include href="include/DTr1_TS.DATETIME.MIN.sch"/>
   <include href="include/DTr1_ST.sch"/>
   <include href="include/DTr1_ON.sch"/>
   <include href="include/DTr1_ED.sch"/>
   <include href="include/DTr1_TEL.sch"/>
   <include href="include/DTr1_URL.sch"/>
   <include href="include/DTr1_RTO.sch"/>
   <include href="include/DTr1_AD.NL.sch"/>
   <include href="include/DTr1_II.NL.BSN.sch"/>
   <include href="include/DTr1_II.NL.URA.sch"/>
   <include href="include/DTr1_II.NL.UZI.sch"/>
   <include href="include/DTr1_II.NL.AGB.sch"/>
   <include href="include/DTr1_II.AT.DVR.sch"/>
   <include href="include/DTr1_II.AT.ATU.sch"/>
   <include href="include/DTr1_II.AT.BLZ.sch"/>
   <include href="include/DTr1_II.AT.KTONR.sch"/>


   <!--Include the project schematrons related to scenarioversturenToegediendeVaccinaties-->

<include href="include/2.16.840.1.113883.2.4.6.10.100.14.sch"/>


   <!--Include schematrons from templates with explicit * or ** context (but no representing templates)-->


</schema>